package com.yizhi.statistics.application.album.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 专辑学习结果
 * @author hc
 *
 */
@Data
public class ReportStudyAlbumViewVo1 {

	@ApiModelProperty(value="账号")
	private Long accountId;
	
	@ApiModelProperty(value = "用户名")
	private String accountName;
	
	@ApiModelProperty(value = "姓名")
	private String accountFullName;
	
	@ApiModelProperty(value = "学习次数（空返回0）")
	private Integer totalCount = 0;
	
	@ApiModelProperty(value = "学习时长（分钟）（空返回0）")
	private String totalDuration="0:0:0";
	
	@ApiModelProperty(value = "开始时间")
	private Date startTime;
	
	@ApiModelProperty(value = "完成时间")
	private Date endTime;
	
	@ApiModelProperty(value = "所在部门")
	private String orgName;
	
	@ApiModelProperty(value="用户状态")
	private Integer accountState = 0;
	
	@ApiModelProperty(value = "完成率")
	private Integer completeness;
}
