package com.yizhi.statistics.application.album.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 课程完成情况统计
 * @author hc
 *
 */
@Data
public class ReportStudyAlbumViewVo2 {

	@ApiModelProperty(value = "课程ID")
	private Long courseId;
	
	@ApiModelProperty(value = "专辑名称")
	private String albumName;
	
	@ApiModelProperty(value = "主题名称")
	private String themeName;
	
	@ApiModelProperty(value = "课程名称")
	private String courseName;
	
	@ApiModelProperty(value = "解锁状态 0已解锁 1发布及解锁 2自定义解锁")
	private Integer unlock = 0;
	
	@ApiModelProperty(value = "已学习人数（空返回0）")
	private Integer totalInAccount = 0;	
	
	@ApiModelProperty(value = "完成人数数（空返回0）")
	private Integer finish = 0;

}
