package com.yizhi.statistics.application.album.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *专辑课程学员学习明细
 * @author hc
 *
 */
@Data
public class ReportStudyAlbumViewVo3 {

	@ApiModelProperty(value="账号")
	private Long accountId;
	
	@ApiModelProperty(value = "用户名")
	private String accountName;
	
	@ApiModelProperty(value = "姓名")
	private String accountFullName;
	
	@ApiModelProperty(value = "所在部门")
	private String orgName;
	
	@ApiModelProperty(value = "主题名称")
	private String themeName;
	
	@ApiModelProperty(value = "课程名称")
	private String courseName;
	
	@ApiModelProperty(value = "学习时长（分钟）（空返回0）")
	private String totalDuration="0:0:0";
	
	@ApiModelProperty(value = "开始时间")
	private Date startTime;
	
	@ApiModelProperty(value = "完成时间")
	private Date endTime;
	
	@ApiModelProperty(value = "学习状态：0已解锁 1、2未解锁")
	private Integer unlock = 0;
	
	@ApiModelProperty(value = "学习状态：0进行中 1已完成")
	private Integer state = 0;
	
	@ApiModelProperty(value="用户状态")
	private Integer accountState = 0;
}
