package com.yizhi.statistics.application.album.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 专辑完成情况统计
 * @author hc
 *
 */
@Data
public class ReportStudyAlbumVo {

	@ApiModelProperty(value = "专辑ID")
	private Long albumId;
	
	@ApiModelProperty(value = "专辑名称")
	private String albumName;
	
    @ApiModelProperty(value = "完成状态 0连载中 1已完结")
	private Integer overed;
    
	@ApiModelProperty(value = "已学习人数（空返回0）")
	private Integer totalInAccount = 0;	
	
	@ApiModelProperty(value = "学习次数（空返回0）")
	private Integer totalCount = 0;
	
	@ApiModelProperty(value = "专辑时长")
	private String duration ;
	
	@ApiModelProperty(value = "总学习时长（秒）（空返回0）")
	private String totalDuration;
	
	@ApiModelProperty(value = "平均学习时长（秒）（空返回0）")
	private String avgDuration ;
	
	@ApiModelProperty(value = "完成人数（空返回0）")
	private Integer finish = 0;
	
	@ApiModelProperty(value = "评论数（空返回0）")
	private Integer commentNum = 0;
	
	@ApiModelProperty(value = "订阅数（空返回0）")
	private Integer subscribeNum = 0;
	
}
