package com.yizhi.statistics.application.course.vo;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 按用户统计--下载学习明细
 * @author mei
 *
 */
@Data
public class ReportStudyCourseAccountDetailsVo {


	@ApiModelProperty(value = "用户ID")
	private Long accountId;

	@ApiModelProperty(value = "用户名")
	private String accountName;

	@ApiModelProperty(value = "姓名")
	private String accountFullName;


	@ApiModelProperty(value="工号")
	private String workNum;

	@ApiModelProperty(value = "课程名称")
	private String courseName;

	@ApiModelProperty("课程编码")
	private String courseCode;

	@ApiModelProperty(value = "总学习时长（分钟）（空返回0）")
	private String totalDuration;

	@ApiModelProperty(value = "学习开始时间（yyyy-MM-dd HH:mm:ss）")
	private Date startTime;

	@ApiModelProperty(value = "最后学习时间（yyyy-MM-dd HH:mm:ss）")
	private Date lastTime;

	@ApiModelProperty(value = "首次完成时间（yyyy-MM-dd HH:mm:ss）")
	private Date filstFinishTime;

	@ApiModelProperty(value="课程得分")
	private BigDecimal learnScore;


	@ApiModelProperty(value = "学习次数")
	private Integer studyNum = 0;

	@ApiModelProperty(value = "学习状态 0未开始、1学习中、2已完成")
	private String studystate;

	@ApiModelProperty(value = "用户状态 0禁用、1启用")
	private String accountState;

	@ApiModelProperty(value = "所在部门")
	private String orgName;

	@ApiModelProperty(value = "所在组织架构")
	private String orgNames;





}
