package com.yizhi.statistics.application.course.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 课程图表数据
 * @author mei
 *
 */

@Data
public class ReportStudyCourseAccountViewVo {
	
	@ApiModelProperty(value = "课程编码")
	private String courseNo;
	
	@ApiModelProperty(value = "课程名称")
	private String courseName;
	
	@ApiModelProperty(value = "学习状态：0未开始 1进行中 2已完成")
	private Integer state = 0;
	
	@ApiModelProperty(value = "学习次数（空返回0）")
	private Integer totalCount = 0;
	
	@ApiModelProperty(value = "开始时间（yyyy-MM-dd HH:mm:ss）")
	private Date startTime;
	
	@ApiModelProperty(value = "总学习时长（分钟）（空返回0）")
	private String totalDuration ;
	
	
	
	
	@ApiModelProperty(value = "用户名")
	private String accountName;
	
	@ApiModelProperty(value = "姓名")
	private String accountFullName;
	
	@ApiModelProperty(value="所在部门")
	private String orgName;
	
	@ApiModelProperty(value="用户状态")
	private Integer accountState=0;
	
	@ApiModelProperty(value="可见状态---------------没有统计")
	private Integer canState=0;
	
	@ApiModelProperty(value="课程得分")
	private Float learnScore=0f;
	
	
}