package com.yizhi.statistics.application.course.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 按部门分组统计
 * @author mei
 *
 */

@Data
public class ReportStudyCourseOrgVo {

	@ApiModelProperty(value = "部门编码")
	private String orgNo;

	@ApiModelProperty(value = "部门名称")
	private String orgName;

	@ApiModelProperty(value = "所在组织架构")
	private String orgNames;

	@ApiModelProperty(value = "参加课程数（空返回0）")
	private Integer totalInCourse = 0;

	@ApiModelProperty(value = "参加人数（空返回0）")
	private Integer totalInAccount = 0;

	@ApiModelProperty(value = "总学习次数（空返回0）")
	private Integer totalCount = 0;

	@ApiModelProperty(value = "总学习时长（空返回0）")
	private String totalDuration="0:0:0";

	@ApiModelProperty(value = "平均学习时长（空返回0）")
	private String avgDuration="0";

}
