package com.yizhi.statistics.application.dashboard.vo;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 按用户分组统计
 * @author mei
 *
 */
@Data
public class DashboardAccountStudyCourseVo {

	@ApiModelProperty(value = "完成课程数（空返回0）")
	private Integer totalFinishCourse = 0;

	@ApiModelProperty(value = "累计学习时长（空返回0.0）分钟")
	private Float totalStudyTime = 0.0F;

	@ApiModelProperty(value = "完成课程时长（为课程内素材总时长，空返回0.0 分钟）")
	private Float totalCourseTime = 0.0F;
	
	@ApiModelProperty(value = "考试时长，单位（小时）")
	private BigDecimal examDurationHour;

}
