package com.yizhi.statistics.application.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author yinyuyan123
 * @since 2019-03-20
 */
@Data
@Api(tags = "StatisticsAccount", description = "")
@TableName("statistics_account")
public class StatisticsAccount extends Model<StatisticsAccount> {

    private static final long serialVersionUID = 1L;


@ApiModelProperty(value = "主键")
	private Long id;

@ApiModelProperty(value = "学员公司ID")
	@TableField("company_id")
	private Long companyId;

@ApiModelProperty(value = "学员站点Id")
	@TableField("site_id")
	private Long siteId;

@ApiModelProperty(value = "学员组织ID")
	@TableField("org_id")
	private Long orgId;

@ApiModelProperty(value = "学员组织编码")
	@TableField("org_code")
	private String orgCode;

@ApiModelProperty(value = "学员自己所属组织名称")
	@TableField("org_name")
	private String orgName;

@ApiModelProperty(value = "学员所有父组织名称含自己所属组织名称")
	@TableField("org_names")
	private String orgNames;

@ApiModelProperty(value = "学员ID")
	@TableField("account_id")
	private Long accountId;

@ApiModelProperty(value = "学员用户名")
	@TableField("account_name")
	private String accountName;

@ApiModelProperty(value = "学员姓名")
	@TableField("full_name")
	private String fullName;

@ApiModelProperty(value = "学员工号")
	@TableField("work_num")
	private String workNum;

@ApiModelProperty(value = "学员状态")
	@TableField("account_state")
	private Integer accountState;

@ApiModelProperty(value = "用户创建时间")
private Date createTime;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
	
	
	
	public String toStringVo() {
		return "StatisticsAccountVO [orgId=" + orgId 
				+ ", orgName=" + orgName + ", orgNames=" + orgNames
				+ ", accountName=" + accountName+", fullName=" + fullName
				+ ", workNum=" + workNum + ", accountState=" + accountState
				+"]";
	}

}
