package com.yizhi.statistics.application.entity;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author wfd123
 * @since 2019-04-18
 */
@Data
@Api(tags = "StatisticsAccountRole", description = "")
@TableName("statistics_account_role")
public class StatisticsAccountRole extends Model<StatisticsAccountRole> {

    private static final long serialVersionUID = 1L;


@ApiModelProperty(value = "主键")
	private Long id;

@ApiModelProperty(value = "管理员id")
	@TableField("admin_id")
	private Long adminId;

@ApiModelProperty(value = "管理员站点id")
@TableField("admin_site_id")
private Long adminSiteId;


@ApiModelProperty(value = "活动类型")
@TableField("type")
private Integer type;

@ApiModelProperty(value = "人员类型")
@TableField("account_type")
private Integer accountType;

@ApiModelProperty(value = "站点")
@TableField("account_site_id")
private Long accountSiteId;

@ApiModelProperty(value = "组织")
@TableField("account_org_id")
private Long accountOrgId;

@TableField(exist=false)
private Long askNum;




@ApiModelProperty(value = "学员账号id")
	@TableField("account_id")
	private Long accountId;


@ApiModelProperty(value = "自动创建时间")
	@TableField("auto_create_time")
	private Date autoCreateTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
