package com.yizhi.statistics.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author wfd123
 * @since 2019-06-05
 */
@Data
@Api(tags = "StatisticsActivityPoint", description = "")
@TableName("statistics_activity_point")
public class StatisticsActivityPoint extends Model<StatisticsActivityPoint> {

    private static final long serialVersionUID = 1L;


	private Long id;

	@TableField("activity_id")
	private Long activityId;

	@TableField("account_id")
	private Long accountId;

	private Integer point;

@ApiModelProperty(value = "0课程1考试7培训项目  活动类型")
	private Integer type;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("auto_create_time")
	private Date autoCreateTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
