package com.yizhi.statistics.application.entity;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author yinyuyan123
 * @since 2019-03-20
 */
@Data
@Api(tags = "StatisticsCourseRecorde", description = "")
@TableName("statistics_course_recorde")
public class StatisticsCourseRecorde1 extends Model<StatisticsCourseRecorde1> {

    private static final long serialVersionUID = 1L;


@ApiModelProperty(value = "主键")
	private Long id;

@ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

@ApiModelProperty(value = "账号id")
	@TableField("account_id")
	private Long accountId;

@ApiModelProperty(value = "学习记录发生所在站点")
	@TableField("site_id")
	private Long siteId;



@ApiModelProperty(value = "学习次数")
	@TableField("learn_count")
	private Long learnCount;

@ApiModelProperty(value = "当天学习开始时间")
	@TableField("start_time")
	private Date startTime;

@ApiModelProperty(value = "当天学习结束时间")
	@TableField("end_time")
	private Date endTime;

@ApiModelProperty(value = "当天学习时长（S）")
	@TableField("learn_time")
	private Long learnTime;

@ApiModelProperty(value = "学习记录发生时间")
	@TableField("record_time")
	private Date recordTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
