package com.yizhi.statistics.application.entity;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotations.Version;
import com.baomidou.mybatisplus.enums.FieldFill;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author taoge123
 * @since 2020-02-13
 */
@Data
@ApiModel(value = "StatisticsForum", description = "")
@TableName("statistics_forum")
public class StatisticsForum {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

	@ApiModelProperty(value = "帖子id")
	private Long postsId;

    @ApiModelProperty(value = "帖子名称")
	private String title;

    @ApiModelProperty(value = "用户id")
	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "账号名称")
	@TableField("account_name")
	private String accountName;

    @ApiModelProperty(value = "姓名")
	@TableField("full_name")
	private String fullName;

    @ApiModelProperty(value = "点赞数")
	@TableField("thumbs_num")
	private Integer thumbsNum;

    @ApiModelProperty(value = "回复数（包含评论回复）")
	@TableField("comment_num")
	private Integer commentNum;

    @ApiModelProperty(value = "阅读数")
	@TableField("read_num")
	private Integer readNum;

    @ApiModelProperty(value = "收藏数")
	@TableField("favorite_num")
	private Integer favoriteNum;

	@ApiModelProperty(value = "举报数")
	@TableField("inform_num")
	private Integer informNum;

    @ApiModelProperty(value = "终端类型：1-管理端   2-pc端   3-微信端  4-app")
	@TableField("terminal_type")
	private Integer terminalType;

    @ApiModelProperty(value = "帖子创建时间")
	@TableField("posts_create_time")
	private Date postsCreateTime;

    @ApiModelProperty(value = "是否置顶 0：未置顶（默认） 1:置顶")
	@TableField("is_top")
	private Integer isTop;

    @ApiModelProperty(value = "是否加精 0：未加精（默认） 1:加精")
	@TableField("is_highlight")
	private Integer isHighlight;

    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
	private Long siteId;

	@ApiModelProperty("企业id")
	@TableField("company_id")
	private Long companyId;

    @ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;



}
