package com.yizhi.statistics.application.entity;

import java.io.Serializable;

import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotations.Version;
import com.baomidou.mybatisplus.enums.FieldFill;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-02-13
 */
@Data
@ApiModel(value = "StatisticsForumAccount", description = "")
@TableName("statistics_forum_account")
public class StatisticsForumAccount {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "用户id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "账号名称")
    @TableField("account_name")
    private String accountName;

    @ApiModelProperty(value = "姓名")
    @TableField("full_name")
    private String fullName;

    @ApiModelProperty(value = "部门id")
    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(value = "部门名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "职务")
    private String position;

    @ApiModelProperty(value = "用户状态")
    private String status;

    @ApiModelProperty(value = "已发表数")
    @TableField("send_num")
    private Integer sendNum;

    @ApiModelProperty(value = "阅读数 ")
    @TableField("read_num")
    private Integer readNum;

    @ApiModelProperty(value = "评论数 ")
    @TableField("comment_num")
    private Integer commentNum;

    @ApiModelProperty(value = "回复数 ")
    @TableField("reply_num")
    private Integer replyNum;

    @ApiModelProperty(value = "草稿帖子数 ")
    @TableField("draft_num")
    private Integer draftNum;

    @ApiModelProperty(value = "精选帖子数")
    @TableField("highlight_num")
    private Integer highlightNum;

    @ApiModelProperty(value = "置顶帖子数")
    @TableField("top_num")
    private Integer topNum;

    @ApiModelProperty(value = "点赞数")
    @TableField("admire_num")
    private Integer admireNum;

    @ApiModelProperty(value = "被点赞数")
    @TableField("be_admired_num")
    private Integer beAdmiredNum;

    @ApiModelProperty(value = "举报数")
    @TableField("inform_num")
    private Integer informNum;

    @ApiModelProperty(value = "被举报数")
    @TableField("be_inform_num")
    private Integer beInformNum;

    @ApiModelProperty(value = "被禁言数")
    @TableField("be_forbidden_num")
    private Integer beForbiddenNum;

    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty("企业id")
    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;
}
