package com.yizhi.statistics.application.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName: PointChangeTypeEnum
 * @author: zjl
 * @date: 2021/1/25  15:45
 */
public class PointChangeTypeEnum {
    public static Integer onlineCourse = 10;//在线课程
    public static Integer offlineCourse = 20;//线下课程
    public static Integer trainingProject = 30;//项目
    public static Integer exam = 40; //考试
    public static Integer assignment = 50; //作业
    public static Integer research = 60;//调研
    public static Integer caselibrary = 70;//原创活动
    public static Integer clockIn = 80;//打卡
    public static Integer forum = 90;//论坛
    public static Integer sign = 100;//签到
    public static Integer externalImport = 110;//外部导入
    public static Integer practice = 120;//陪练

    public final static Map<Integer, String> relation = new HashMap<Integer, String>() {
        {
            put(onlineCourse, "在线课程");
            put(offlineCourse, "线下课程");
            put(trainingProject, "项目");
            put(exam, "考试");
            put(assignment, "作业");
            put(research, "调研");
            put(caselibrary, "原创活动");
            put(clockIn, "打卡");
            put(forum, "论坛");
            put(sign, "签到");
            put(externalImport, "外部导入");
            put(practice, "陪练");
        }
    };


}
