package com.yizhi.statistics.application.enums;

public enum ReportType {
	firstQuarter(0,"一季度报告"),
	secondQuarter(1,"二季度报告"),
	firstHalfYear(2,"上半年度报告"),
    thirdQuarter(3,"三季度报告"),
    fourthQuarter(4,"四季度报告"),
    secondHalfYear(5,"下半年度报告"),
    annual(6,"年度报告");
    private Integer type;
    private String typeName;

    ReportType(Integer type, String typeName) {
        this.type = type;
        this.typeName = typeName;
    }

    public Integer getType() {
        return type;
    }

    public String getTypeName() {
        return typeName;
    }
    
}
