package com.yizhi.statistics.application.exam.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Date 2020/9/17 2:21 下午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class ExamGroupOrgVO {

    Long orgId;

    @ApiModelProperty("部门名")
    String orgName;

    @ApiModelProperty("部门编码")
    String orgCode;

    @ApiModelProperty(value = "所在组织架构",hidden = true)
    String orgNames;

    @ApiModelProperty("可参加考试数")
    Long examCount = 0L;

    @ApiModelProperty("可参加用户数")
    Long planUserCount = 0L;

    @ApiModelProperty("实际参加用户数")
    Long actualUserCount = 0L;

    @ApiModelProperty("通过考试用户数")
    Long passUserCount = 0L;

    @ApiModelProperty("通过率")
    Long passRate = 0L;

}
