package com.yizhi.statistics.application.feign.job;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Date 2020/11/17 11:02 上午
 * @Author lvjianhui
 **/
@FeignClient(name = "statistics", contextId = "PracticeClient")
public interface PracticeJobClient {

    @GetMapping("/practice/xxl-job/sync/data")
    public void syncPracticeData(@RequestParam(value="startDate",required=false)String startDate,
                                 @RequestParam(value="endDate",required=false)String endDate);

}
