package com.yizhi.statistics.application.refactor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Date 2020/9/30 5:12 下午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class ReportStudyTrainingProjectAccountViewVo {

    @ApiModelProperty("用户账号")
    private Long accountId;
    @ApiModelProperty("用户名")
    private String accountName;
    @ApiModelProperty("姓名")
    private String accountFullName;
    @ApiModelProperty("所在部门")
    private String orgName;
    @ApiModelProperty("项目名称")
    private String projectName;
    @ApiModelProperty("学习状态 -1 未参加 0未完成 1 已完成")
    private String state;
    @ApiModelProperty("开始时间")
    private Date startTime;
    @ApiModelProperty("完成时间")
    private Date endTime;
    @ApiModelProperty("最早完成时间")
    private Date firstFinishTime;
    @ApiModelProperty("获得积分")
    private Integer point;
    @ApiModelProperty("用户当前状态")
    private Integer accountState;
    @ApiModelProperty("学习时长")
    private Integer seconds;
}
