package com.yizhi.statistics.application.refactor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @Date 2020/10/9 8:38 上午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class TrResearchRemindVO {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "关联调研id")
    private Long researchId;

    @ApiModelProperty(value = "1：开始之前，2：开始之后，3：自定义时间")
    private Integer type;

    @ApiModelProperty(value = "type=1或type=2：相差秒数")
    private Long seconds;

    @ApiModelProperty(value = "是否删除（0：未删，1：已删）")
    private Integer deleted;

    @ApiModelProperty(value = "提醒时间")
    private Date time;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人姓名")
    private String createByName;
}
