package com.yizhi.statistics.application.refactor.exam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Date 2020/9/30 5:23 下午
 * @Author lvjianhui
 **/
@Data
public class ReportExamAccountViewVo {
    @ApiModelProperty("用户ID")
    private Long accountId;
    @ApiModelProperty("用户")
    private String accountName;
    @ApiModelProperty("姓名")
    private String accountFullName;
    @ApiModelProperty("所在部门")
    private String orgName;
    @ApiModelProperty("考试名称")
    private String examName;
    @ApiModelProperty("考试状态")
    private String state;
    @ApiModelProperty("考试得分")
    private BigDecimal score;
    @ApiModelProperty("考试结果")
    private String result;
    @ApiModelProperty("用户状态")
    private Integer accountState;

    @ApiModelProperty("考试时长")
    private Integer duration;
}
