package com.yizhi.statistics.application.refactor.exam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Date 2020/9/30 5:30 下午
 * @Author lvjianhui
 **/
@Data
public class StatisticsExamVO {

    @ApiModelProperty(value = "自增")
    private Long id;

    private Long examId;

    private String examNo;

    private String examName;

    @ApiModelProperty(value = "考试开始时间")
    private Date examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private Date examEndTime;

    @ApiModelProperty(value = "创建考试的企业ID")
    private Long examCompanyId;

    @ApiModelProperty(value = "创建考试的站点ID")
    private Long examSiteId;

    @ApiModelProperty(value = "创建考试的组织ID")
    private Long examOrgId;

    @ApiModelProperty(value = "考试创建时间")
    private Date examCreateTime;

    @ApiModelProperty(value = "应参加状态，1应参加 0不应参加（用于统计：应参加人数，MAX取值）")
    private Integer canState;

    @ApiModelProperty(value = "考试结果，（当天多次考试只要通过一次视全部通过，1通过 0未通过 -1未参加。用于统计：通过人数，MAX取值）")
    private Integer examState;

    @ApiModelProperty(value = "记录统计时间")
    private Date recordCreateTime;

    @ApiModelProperty(value = "记录更新时间")
    private Date recordUpdateime;
}
