package com.yizhi.statistics.application.refactor.train;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Date 2020/10/9 9:02 上午
 * @Author lvjianhui
 **/
@ApiModel
@Data
public class TrainingProjectGroupViewExportVO3 {
    @ApiModelProperty("用户名")
    private String accountName;
    @ApiModelProperty("姓名")
    private String accountFullName;
    @ApiModelProperty("培训项目名称")
    private String projectName;
    @ApiModelProperty("学习计划名称")
    private String planName;
    @ApiModelProperty("学习活动名称")
    private String activityName;
    @ApiModelProperty("学习活动类型")
    private String activityType;
    @ApiModelProperty("开始时间")
    private Date startTime;
    @ApiModelProperty("最早完成时间")
    private Date firstFinishTime;
    @ApiModelProperty("得分")
    private Integer score;
    @ApiModelProperty("所获积分")
    private Integer point;
    @ApiModelProperty("完成状态")
    private Integer state;
    @ApiModelProperty("用户当前状态")
    private Integer accountState;
    @ApiModelProperty("所在部门")
    private String orgName;
    @ApiModelProperty("所在组织架构")
    private String orgNames;
    @ApiModelProperty("课程学习时长")
    private Integer learningTime;
    @ApiModelProperty("活动的id")
    private Long relationId;
}
