package com.yizhi.statistics.application.request.practice;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Date 2020/11/12 2:40 下午
 * @Author lvjianhui
 **/
@ApiModel
public class PracticeByOrgPageReq {

    @ApiModelProperty("部门名")
    private String orgName;


    @ApiModelProperty(name = "startDate",value = "开始时间")
    private String startDate;

    @ApiModelProperty(name = "endDate",value = "结束时间")
    private String endDate;

    @ApiModelProperty(name = "pageNo", value = "当前页码 默认1")
    private Integer pageNo = 1;

    @ApiModelProperty(name = "pageSize", value = "每页大小 默认10")
    private Integer pageSize = 10;

    private RequestContext requestContext;

    public RequestContext getRequestContext() {
        return requestContext;
    }

    public void setRequestContext(RequestContext requestContext) {
        this.requestContext = requestContext;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
