package com.yizhi.statistics.application.request.practice;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: PracticeStatByPracticeIdReq
 * @author: zjl
 * @date: 2020/11/10  15:41
 */
@Data
@ApiModel(value = "智能陪练统计-按陪练统计-详情入参")
public class PracticeStatByPracticeIdReq {
    @ApiModelProperty(name = "practiceId",value = "陪练id")
    private Long practiceId;

    @ApiModelProperty(name = "practiceName",value = "陪练名称")
    private String practiceName;

    @ApiModelProperty(name = "nameKwd",value = "用户名关键字")
    private String nameKwd;

    @ApiModelProperty(name = "orgKwd",value = "部门关键字")
    private String orgKwd;

    @ApiModelProperty(name = "startDate",value = "开始时间")
    private Date startDate;

    @ApiModelProperty(name = "endDate",value = "结束时间")
    private Date endDate;

    @ApiModelProperty(name = "pageNo", value = "当前页码 默认1")
    private Integer pageNo = 1;

    @ApiModelProperty(name = "pageSize", value = "每页大小 默认10")
    private Integer pageSize = 10;

    private RequestContext context;
}
