package com.yizhi.statistics.application.request.practice;


import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel(value = "智能陪练统计-按陪练统计入参")
public class PracticeStatByPracticeReq {

    @ApiModelProperty(value = "陪练名称")
    private String name;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    @ApiModelProperty( value = "当前页码 默认1")
    private Integer pageNo = 1;

    @ApiModelProperty(value = "每页大小 默认10")
    private Integer pageSize = 10;

    private RequestContext context;

}
