package com.yizhi.statistics.application.vo.point;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: StatisticsPointVO
 * @author: zjl
 * @date: 2021/1/25  14:24
 */
@Data
@ApiModel("所有用户明细返回vo")
public class StatisticsPointVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户名")
    private String accountName;

    @ApiModelProperty("姓名")
    private String fullName;

    /**
     * log创建时间
     */
    @ApiModelProperty("时间")
    private Date createdAt;

    /**
     * 变动数量
     */
    @ApiModelProperty("变动数量")
    private Integer changeCount;

    /**
     * 变动类型
     */
    @ApiModelProperty("变动类型")
    private Integer changeType;

    /**
     * 变动原因（考试名或项目名）
     */
    @ApiModelProperty("变动原因")
    private String relationName;

    /**
     * 当前剩余
     */
    @ApiModelProperty("当前剩余")
    private Integer currentRemain;
    /**
     * 累计剩余
     */
    @ApiModelProperty("累计剩余")
    private Integer cumulativeRemain;

    @ApiModelProperty(value = "学员状态")
    private Integer accountState;

    @ApiModelProperty(value = "所在部门")
    private String orgName;

    @ApiModelProperty(value = "所在组织架构")
    private String orgNames;








}
