package com.yizhi.statistics.application.vo.sign;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 签到统计
 *
 * @ClassName: SignAccountGroup
 * @author: zjl
 * @date: 2020/9/16  9:19
 */
@Data
public class SignAccountGroupVo {
    @ApiModelProperty(value = "用户ID")
    private Long accountId;

    @ApiModelProperty(value = "用户名")
    private String accountName;

    @ApiModelProperty(value = "姓名")
    private String fullName;

    @ApiModelProperty(value = "所在部门")
    private String orgName;

    @ApiModelProperty(value = "所在组织架构")
    private String orgNames;

    @ApiModelProperty(value = "应签到数")
    private Integer canStateCount = 0;

    @ApiModelProperty(value = "已签到数")
    private Integer joinStateCount = 0;

    @ApiModelProperty(value = "最后签到时间")
    private String lastSignTime;

}
