package com.yizhi.statistics.application.vo.sign;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 签到统计详情明细vo
 *
 * @ClassName: StatisticsSignVo
 * @author: zjl
 * @date: 2020/9/17  11:44
 */
@Data
@ApiModel
public class StatisticsSignVo {


    @ApiModelProperty(value = "用户名")
    private String accountName;

    @ApiModelProperty(value = "用户姓名")
    private String accountFullname;

    @ApiModelProperty(value = "所在部门")
    private String orgName;

    @ApiModelProperty(value = "用户所有父类组织")
    private String orgNames;

    @ApiModelProperty(value = "培训项目名称")
    private String trainningProjectName;

    @ApiModelProperty(value = "签到开始时间")
    private String signStartTime;

    @ApiModelProperty(value = "签到结束时间")
    private String signEndTime;

    @ApiModelProperty(value = "签到地点")
    private String address;

    @ApiModelProperty(value = "签到范围")
    private String range;

    @ApiModelProperty(value = "实际签到")
    private Integer joinState;

    @ApiModelProperty(value = "签到时间")
    private String signTime;
}
