package com.yizhi.statistics.application.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "PracticeStatByNameDto", description = "陪练统计信息")
public class PracticeStatByPracDto {

    @ApiModelProperty(value = "陪练id")
    private Long practiceId;

    @ApiModelProperty(value = "训练人数")
    private Integer practiceTrainingCount;


    @ApiModelProperty(value = "考核人数")
    private Integer practiceTestCount;

    @ApiModelProperty(value = "考核通过人数")
    private Integer practiceTestPassCount;

    @ApiModelProperty(value = "考核平均分")
    private Double practiceTestAverage;

}
