package com.yizhi.statistics.application.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: PracticeStatViewDetailByIdDto
 * @author: zjl
 * @date: 2020/11/11  14:08
 */
@Data
@ApiModel(value = "PracticeStatViewDetailByIdDto")
public class PracticeStatViewDetailByIdDto {
    @ApiModelProperty("用户id")
    private Long accountId;

    @ApiModelProperty("用户名")
    private String accountName;

    @ApiModelProperty("姓名")
    private String fullName;

    @ApiModelProperty("模式")
    private Integer useType;

    @ApiModelProperty("陪练级别")
    private Integer levelInt;

    @ApiModelProperty("分数")
    private Integer score;

    @ApiModelProperty("考试结果")
    private Integer passResultInt;

    @ApiModelProperty("完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date finishTime;

    @ApiModelProperty("所在部门")
    private String orgName;

    @ApiModelProperty("所在组织架构")
    private String orgNames;
}
