package com.yizhi.statistics.application.mapper;

import java.util.Date;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.statistics.application.entity.ReportDetail;
import com.yizhi.statistics.application.vo.report.StudyDurationVO;


public interface ReportDetailMapper extends BaseMapper<ReportDetail> {

	List<StudyDurationVO> countFinished(@Param("siteIds") List<Long> siteIds,
			@Param("startDate") String startDate, @Param("endDate") String endDate);
	
	List<StudyDurationVO> proportion( @Param("siteIds") List<Long> siteIds,
			@Param("startDate") String startDate, @Param("endDate") String endDate);
	
	List<StudyDurationVO> totalDuration(@Param("siteIds") List<Long> siteIds,
			@Param("startDate") String startDate, @Param("endDate") String endDate);
	
	List<StudyDurationVO> studyDuration( @Param("siteIds") List<Long> siteIds,
			@Param("startDate") String startDate, @Param("endDate") String endDate);
	
	List<StudyDurationVO> lateDate( @Param("siteIds") List<Long> siteIds,
			@Param("startDate") String startDate, @Param("endDate") String endDate);
	
	Long getCount(@Param("reportId") Long reportId,@Param("siteId") Long siteId);
	
	Integer getReportCount(@Param("siteId") Long siteId,@Param("accountId") Long accountId,@Param ("relationIds") List<Long> relationIds);
}
