package com.yizhi.statistics.application.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.statistics.application.entity.StatisticsAlbumActivity;

public interface StatisticsAlbumActivityMapper extends BaseMapper<StatisticsAlbumActivity>{

	public List<Long> getActivityList(@Param("albumId")Long albumId,@Param("companyId")Long companyId,@Param("siteId")Long siteId);
	
	Integer finished(@Param("startDate")String startDate,@Param("endDate")String endDate,@Param(value = "albumId") Long albumId, @Param(value = "accountId") Long accountId,
			@Param(value = "siteId") Long siteId);

	Integer unLockNum(@Param(value = "albumId") Long albumId);
	
}
