package com.yizhi.statistics.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.vo.CourseDashboardParam;
import com.yizhi.statistics.application.entity.AccountDashboard;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author taoge123
 * @since 2020-04-07
 */
public interface IAccountDashboardService extends IService<AccountDashboard> {
    /**
     * 跑批前清空数据
     *
     * @param startDate
     * @param endDate
     * @return
     */
    public Boolean deleteAllData(Date startDate, Date endDate);

    List<AccountDashboard> getRecords(CourseDashboardParam param);

}
