package com.yizhi.statistics.application.service;

import java.util.List;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumAccountViewVo;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumAccountVo;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumChartsVo;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumViewVo2;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumViewVo1;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumViewVo3;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumVo;
import com.yizhi.statistics.application.entity.StatisticsAlbumActivityRecord;

public interface IStatisticsAlbumActivityRecordService extends IService<StatisticsAlbumActivityRecord>{

	void dealGetAllRecordeByTimeLimit(String startDate,String endDate);
	
	List<ReportStudyAlbumChartsVo> chartGroup(String startDate, String endDate, Long companyId,Long siteId,Long adminId, Boolean isAdmin);
	
	Page<ReportStudyAlbumVo> albumGroup(String kwd,String startDate, String endDate, Long companyId,Long siteId, Integer pageNo, Integer pageSize,Long adminId, Boolean isAdmin);
	
	List<ReportStudyAlbumViewVo2> albumGroupView(Long albumId,String startDate, String endDate, Long companyId,Long siteId,Long adminId, Boolean isAdmin);
	
	List<ReportStudyAlbumViewVo1> albumGroupView1(Long albumId,String startDate, String endDate, Long companyId,Long siteId,Long adminId, Boolean isAdmin);

	List<ReportStudyAlbumViewVo2> albumGroupView2(Long albumId,String startDate, String endDate, Long companyId,Long siteId,Long adminId, Boolean isAdmin);

	List<ReportStudyAlbumViewVo3> albumGroupView3(Long albumId,String startDate, String endDate, Long companyId,Long siteId, Long adminId, Boolean isAdmin);

	Page<ReportStudyAlbumAccountVo> albumAccountGroup(String orgKwd,String accountKwd,String startDate, String endDate, Long companyId,Long siteId,Integer pageNo,Integer pageSize,Long adminId, Boolean isAdmin);

	Page<ReportStudyAlbumAccountViewVo> albumAccountGroupView(Long companyId,Long accountId,Long siteId, String kwd, String startDate,String endDate, Integer pageNo, Integer pageSize,Long adminId, Boolean isAdmin);
	
}
