package com.yizhi.statistics.application.service;

import com.yizhi.core.application.context.RequestContext;
import com.yizhi.statistics.application.domain.PracticeByOrgUserDetailDto;
import com.yizhi.statistics.application.request.practice.PracticeByOrgPageReq;
import com.yizhi.statistics.application.request.practice.PracticeReportByUserReq;
import com.yizhi.statistics.application.vo.practice.PracticeStatByOrgVo;
import com.yizhi.util.application.page.PageInfo;

import java.util.List;

/**
 * @Date 2020/11/12 3:10 下午
 * @Author lvjianhui
 **/
public interface PracticeByOrgService {
    public PageInfo<PracticeStatByOrgVo> getLogByOrg(PracticeByOrgPageReq res, RequestContext context);

    public List<PracticeByOrgUserDetailDto> getUserPracticeByOrgId(PracticeReportByUserReq res, RequestContext context);

}

