package com.yizhi.statistics.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.statistics.application.entity.StatisticsResearchLearnMetadata;
import com.yizhi.statistics.application.vo.research.ResearchGroupViewVo;
import com.yizhi.statistics.application.vo.research.ResearchGroupVo;

import java.util.List;

/**
 * <p>
 * 学员调研明细 服务类
 * </p>
 *
 * @author hutao123
 * @since 2019-04-18
 */
public interface StatisticsResearchLearnMetadataService extends IService<StatisticsResearchLearnMetadata> {
    Page<ResearchGroupVo> researchGroup(String startDate, String endDate, String kwd, Integer pageSize, Integer pageNo,
                                        Long companyId, List<Long> orgIds, Long siteId);

    Page<ResearchGroupViewVo> selectResearchView(Long researchId, String startDate, String endDate, String orgNameorOrgCode, String accountName, Integer joinState,
                                                 Integer pageNo, Integer pageSize);

    Integer selectResearchViewCount(Long researchId, String startDate, String endDate, String orgNameorOrgCode, String accountName, Integer joinState);

    ResearchGroupVo selectJoinCount(Long researchId, String startDate, String endDate, String orgNameorOrgCode, String accountName, Integer joinState
    );

    List<ResearchGroupViewVo> researchViews(
            Long researchId, String startDate, String endDate, String orgNameorOrgCode, String accountName, Integer joinState,
            Integer pageNo, Integer pageSize);


}
