package com.yizhi.statistics.application.system;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.stereotype.Component;

import java.lang.reflect.Field;
import java.util.*;

/**
 * @Date 2020/11/19 10:34 下午
 * @Author lvjianhui
 **/
@Component
public class ExportFileHandle<T> {


//    public List<T> fileDataList;
//    public String fileName;
//    public List<String> headAboveRowContext;

    public void uploadFile(
            String taskId,
            String taskName,
            String fileName,
                           List<String> headAboveRowContext,
                           List<T> fileDataList) {
        Class<T> dataClass = null;
        Collection<String> tableDataHeads = setHeads(dataClass);

        String serialNo = "CHAT-PRACTICE-EXPORT-BY-ORG-" + taskId.toString();

        Map<String, Object> map = new HashMap<>();
        map.put("taskId", taskId);
        map.put("serialNo", serialNo);
        map.put("taskName", taskName);


    }

    public Collection<String> setHeads(Class<T> dataClass) {
        Field[] field = dataClass.getDeclaredFields();
        Map<Integer,String> heards = new TreeMap<>();
        for (Field fieldEntriy : field) {
            ApiModelProperty an = fieldEntriy.getAnnotation(ApiModelProperty.class);
            System.out.println(an.name());
            heards.put(an.position(),an.name());
        }
        return heards.values();
    }



}
