package com.yizhi.statistics.application.album.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 专辑学员学习明细
 * @author FairyLand
 *
 */
@Data
public class ReportStudyAlbumAccountViewVo {

	@ApiModelProperty(value = "用户ID")
	private Long accountId;
	
	@ApiModelProperty(value = "用户名")
	private String accountName;
	
	@ApiModelProperty(value = "姓名")
	private String accountFullName;
	
	@ApiModelProperty(value = "专辑ID")
	private Long albumId;
	
	@ApiModelProperty(value = "专辑名称")
	private String albumName;
	
	@ApiModelProperty(value = "连载状态")
	private String overed;
	
	@ApiModelProperty(value = "完成率")
	private Integer completeness;
	
	@ApiModelProperty(value = "开始时间")
	private Date startTime;
	
	@ApiModelProperty(value = "完成时间")
	private Date endTime;
	
	@ApiModelProperty(value = "所在部门")
	private String orgName;
	
	@ApiModelProperty(value="用户状态")
	private Integer accountState = 0;
}
