package com.yizhi.statistics.application.album.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 学员参与专辑数统计
 * @author hc
 *
 */
@Data
public class ReportStudyAlbumAccountVo {

	@ApiModelProperty(value = "用户ID")
	private Long accountId;
	
	@ApiModelProperty(value = "用户名")
	private String accountName;
	
	@ApiModelProperty(value = "姓名")
	private String accountFullName;
	
	@ApiModelProperty(value = "所在部门")
	private String orgName;
	
	@ApiModelProperty(value = "参加专辑数（空返回0）")
	private Integer totalInAlbum = 0;
	
	@ApiModelProperty(value = "完成专辑数（空返回0）")
	private Integer totalFinishAlbum = 0;
	
	@ApiModelProperty(value = "总学习时长（HH:mm:ss）（空返回0）")
	private String totalDuration ="0";
	
}
