package com.yizhi.statistics.application.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge123
 * @since 2020-04-07
 */
@Data
@ApiModel(value = "AccountDashboard", description = "")
@TableName("account_dashboard")
public class AccountDashboard {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户Id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "完成课程数 ")
    @TableField("course_finish_num")
    private Integer courseFinishNum;

    @ApiModelProperty(value = "完成课程时长")
    @TableField("course_time")
    private Long courseTime;

    @ApiModelProperty(value = "累计学习时间")
    @TableField("course_study_time")
    private Long courseStudyTime;
    
    @ApiModelProperty(value = "考试累计时长（单位：秒）")
    @TableField("exam_duration_second")
    private Integer examDurationSecond;

    @ApiModelProperty(value = "课程所在站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "课程所在公司Id")
    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "是否发放证书： true 配置开启证书，false 不开启证书")
    @TableField("grant_certificate")
    private Integer grantCertificate;

    @ApiModelProperty(value = "记录自动创建时间")
    @TableField("auto_create_time")
    private Date autoCreateTime;

    @ApiModelProperty(value = "学习记录时间")
    @TableField("study_record_time")
    private Date studyRecordTime;


}
