package com.yizhi.statistics.application.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Api(tags = "ReportVisibleRange", description = "	")
@TableName("report_visible_range")
public class ReportVisibleRange {

	@ApiModelProperty(value = "主键")
	private Long id;

	@ApiModelProperty(value = "平台报告主键_ID，外键")
	@TableField("report_id")
	private Long reportId;

	@ApiModelProperty(value = "1用户 2组织")
	private Integer type;

	@ApiModelProperty(value = "存放人或组织的ID")
	@TableField("relation_id")
	private Long relationId;
	
	@ApiModelProperty(value = "名称")
	@TableField("name")
	private String name;	
	
	@ApiModelProperty(value = "真实姓名")
	@TableField("full_name")
	private String fullName;	
	
	@ApiModelProperty(value = "0删除 1有效，默认有效")
	@TableLogic
	private Integer state;
	
	@ApiModelProperty(value = "站点_ID")
	@TableField("site_id")
	private Long siteId;
	
	@ApiModelProperty(value = "企业_ID")
	@TableField("company_id")
	private Long companyId;
}
