package com.yizhi.statistics.application.entity;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author wfd123
 * @since 2019-03-16
 */
@Data
@Api(tags = "StatisticsCourse", description = "")
@TableName("statistics_course")
public class StatisticsCourse extends Model<StatisticsCourse> {




	private static final long serialVersionUID = 1L;


@ApiModelProperty(value = "主键")
	private Long id;

@ApiModelProperty(value = "课程Id")
	@TableField("course_id")
	private Long courseId;

@ApiModelProperty(value = "课程名字")
	@TableField("course_name")
	private String courseName;

@ApiModelProperty(value = "课程编码")
	@TableField("course_code")
	private String courseCode;

@ApiModelProperty(value = "课程当前状态")
@TableField("course_state")
private Integer courseState;

@ApiModelProperty(value = "课程时长")
	@TableField("course_duration")
	private String courseDuration;

@ApiModelProperty(value = "课程创建时间")
	@TableField("course_create_time")
	private Date courseCreateTime;

@ApiModelProperty(value = "课程所在公司Id")
	@TableField("company_id")
	private Long companyId;

@ApiModelProperty(value = "课程所在站点id")
	@TableField("site_id")
	private Long siteId;

@ApiModelProperty(value = "课程所在组织id")
	@TableField("org_id")
	private Long orgId;


@ApiModelProperty(value="课程的可见范围1全平台 2指定范围")
@TableField(exist=false)
private Integer scope;

	@ApiModelProperty(value = "是否发放证书： true 配置开启证书，false 不开启证书")
	@TableField("grant_certificate")
	private Boolean grantCertificate;






public String toStringVO() {
	return "StatisticsCourse [courseId=" + courseId + ", courseName=" + courseName + ", courseCode=" + courseCode
			+ ", courseState=" + courseState + ", courseDuration=" + courseDuration + ", courseCreateTime="
			+ courseCreateTime + ", companyId=" + companyId + ", siteId=" + siteId + ", grantCertificate=" + grantCertificate  + ", orgId=" + orgId + "]";
}





	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
