package com.yizhi.statistics.application.entity;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;

import lombok.Data;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author yinyuyan123
 * @since 2019-03-20
 */
@Data
@Api(tags = "StatisticsCourseVisibleRange", description = "")
@TableName("statistics_course_visible_range")
public class StatisticsCourseVisibleRange extends Model<StatisticsCourseVisibleRange> {

    private static final long serialVersionUID = 1L;


@ApiModelProperty(value = "主键")
	private Long id;

@ApiModelProperty(value = "公司id")
@TableField("company_id")
private Long companyId;

@ApiModelProperty(value = "站点id")
@TableField("site_id")
private Long siteId;




@ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

@ApiModelProperty(value = "可见范围ID（全平台可见存放站点ID，指定范围可见存可见范围虚拟ID）")
	@TableField("relation_id")
	private Long relationId;

@ApiModelProperty(value = "可见范围（0 游客 1 平台用户 2 指定范围）")
	@TableField("is_virtual")
	private Integer isVirtual;

@ApiModelProperty(value = "活动类型")
@TableField("type")
private Integer type;

@TableField(exist=false)
private Long askNum;


@ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
