package com.yizhi.statistics.application.entity;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;

import lombok.Data;

import io.swagger.annotations.Api;

/**
 * <p>
 * 
 * </p>
 *
 * @author wfd123
 * @since 2019-05-13
 */
@Data
@Api(tags = "StatisticsTraining", description = "")
@TableName("statistics_training")
public class StatisticsTraining extends Model<StatisticsTraining> {

    private static final long serialVersionUID = 1L;


	private Long id;

	@TableField("training_project_id")
	private Long trainingProjectId;

	@TableField("training_project_name")
	private String trainingProjectName;

	@TableField("start_time")
	private Date startTime;

	@TableField("end_time")
	private Date endTime;

	private Integer state;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

	@TableField("auto_create_time")
	private Date autoCreateTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
