package com.yizhi.statistics.application.entity;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import io.swagger.annotations.Api;

/**
 * <p>
 * 
 * </p>
 *
 * @author wfd123
 * @since 2019-05-31
 */
@Data
@Api(tags = "StatisticsTrainingPlan", description = "")
@TableName("statistics_training_plan")
public class StatisticsTrainingPlan extends Model<StatisticsTrainingPlan> {

    private static final long serialVersionUID = 1L;


	private Long id;
	
	@TableField("training_project_id")
	private Long trainingProjectId;

	@TableField("plan_id")
	private Long planId;

	@TableField("plan_name")
	private String planName;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("auto_create_time")
	private Date autoCreateTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
