package com.yizhi.statistics.application.feign;

import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name="statistics", contextId = "StatisticsAlbumClientV2")
public interface StatisticsAlbumClientV2 {


    @GetMapping("/statisticsAlbum/manual/import/album/data")
    @ApiOperation(value = "手动导入报表专辑相关数据")
    public void albumManualImport(@RequestParam(value = "startDate",required = false) String startDate,
                                  @RequestParam(value = "endDate",required = false) String endDate,
                                  @RequestParam(value = "siteId",required = false) Long siteId,
                                  @RequestParam(value = "companyId",required = false) Long companyId
    );

}
