package com.yizhi.statistics.application.refactor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Date 2020/9/30 5:11 下午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class ReportStudyTrainingProjectAccountVo {

    @ApiModelProperty("用户ID")
    private Long accountId;
    @ApiModelProperty("用户名")
    private String accountName;
    @ApiModelProperty("姓名")
    private String accountFullName;
    @ApiModelProperty("所在部门")
    private String orgName;
    @ApiModelProperty("所在组织架构")
    private String orgNames;
    @ApiModelProperty("应参加项目数（空返回0）")
    private Integer totalAsk = 0;
    @ApiModelProperty("实际参加项目数（空返回0）")
    private Integer totalIn = 0;
    @ApiModelProperty("已完成项目数（空返回0）")
    private Integer totalFinish = 0;


}
