package com.yizhi.statistics.application.refactor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Date 2020/9/30 5:13 下午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class ReportStudyTrainingProjectOrgVo {

    @ApiModelProperty("部门id")
    private Long orgId;
    @ApiModelProperty("部门编码")
    private String orgNo;
    @ApiModelProperty("部门名称")
    private String orgName;
    @ApiModelProperty("所在组织架构")
    private String orgNames;
    @ApiModelProperty("部门总人数")
    private Integer accountNum = 0;
    @ApiModelProperty("可参加项目数（空返回0）")
    private Integer totalAskProject = 0;
    @ApiModelProperty("可参加人数（空返回0）")
    private Integer totalAskAccount = 0;
    @ApiModelProperty("实际参加人数（空返回0）")
    private Integer totalIn = 0;
    @ApiModelProperty("完成人数（空返回0）")
    private Integer totalFinish = 0;
    @ApiModelProperty("完成率（空返回0），保留小时2位（98.00），前端补%")
    private BigDecimal avgFinish;
}
