package com.yizhi.statistics.application.refactor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Date 2020/9/30 5:06 下午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class TpAuthorizationRangeVO {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("业务主体表id（如：培训项目id，考试id，调研id等等）")
    private Long bizId;

    @ApiModelProperty("1.部门，2.用户，3.用户组")
    private Integer type;

    @ApiModelProperty("关联id，类型由type判定")
    private Long relationId;

    @ApiModelProperty("冗余授权对象的名称")
    private String name;

    @ApiModelProperty("所属siteId")
    private Long siteId;

    @ApiModelProperty("是否删除")
    private Integer deleted;

    @ApiModelProperty("用户名")
    private String fullName;

    @ApiModelProperty("工号")
    private String workNum;

}
