package com.yizhi.statistics.application.refactor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Date 2020/10/9 8:47 上午
 * @Author lvjianhui
 **/
@Data
@ApiModel
public class TrResearchAnswerQuestionVO {

    @ApiModelProperty(value = "答卷题目ID，主键")
    private Long id;

    @ApiModelProperty(value = "冗余调研id")
    private Long researchId;

    @ApiModelProperty(value = "答卷_ID，外键")
    private Long answerId;

    @ApiModelProperty(value = "问题_ID，外键")
    private Long questionId;

    @ApiModelProperty(value = "学员_ID")
    private Long accountId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人姓名")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
    private Long updateById;

    @ApiModelProperty(value = "修改人姓名")
    private String updateByName;

    @ApiModelProperty(value = "问题答案集合，不持久化")
    private List<TrResearchAnswerQuestionResultVO> questionResults;


}
