package com.yizhi.statistics.application.refactor.exam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Date 2020/9/30 5:21 下午
 * @Author lvjianhui
 **/
@Data
public class ExamCountByUserVO {

    private Long examId;
    private String startTime;
    private String endTime;
    private Integer pageNo;
    private Integer pageSize;
    private String orgNameLike;
    private String accountNameLike;
    private Integer joinState;
    private List<Long> orgIds;
    private List<Long> accountIds;
    private Long siteId;
    private Long companyId;
    private Long orgId;
    @ApiModelProperty("当前管理员是否是超级管理员")
    private boolean isAdmin;
    @ApiModelProperty("当前管理员id")
    private Long accountId;

}
