package com.yizhi.statistics.application.request.practice;

import java.util.Date;

import com.yizhi.core.application.context.RequestContext;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "PracticeReportByUserDetailReq", description = "智能演练-报表-按用户统计-详情页面入参")
public class PracticeReportByUserDetailReq {
	
	@ApiModelProperty(value = "当前页")
	private Integer pageNo;
	
	@ApiModelProperty(value = "一页多少条")
	private Integer pageSize;

	@ApiModelProperty(value = "开始日期字符串,格式yyyy-MM-dd")
	private String dateFromString;
	
	@ApiModelProperty(value = "结束日期字符串,格式yyyy-MM-dd")
	private String dateToString;
	
	@ApiModelProperty(value = "开始日期")
	private Date dateFrom;
	
	@ApiModelProperty(value = "结束日期")
	private Date dateTo;
	
	@ApiModelProperty(value = "用户ID")
	private Long accountId;
	
	@ApiModelProperty(value = "陪练名称、关键词")
	private String searchText;
	
	@ApiModelProperty(value = "上下文")
	private RequestContext context;
}
