package com.yizhi.statistics.application.vo.point;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: StatisticsPointVO
 * @author: zjl
 * @date: 2021/1/25  10:03
 */
@Data
@Api(tags = "积分明细返回vo")
public class StatisticsPointDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 变动数量
     */
    @ApiModelProperty("变动数量")
    private Integer changeCount;
    /**
     * 当前剩余
     */
    @ApiModelProperty("当前剩余")
    private Integer currentRemain;
    /**
     * 累计剩余
     */
    @ApiModelProperty("累计剩余")
    private Integer cumulativeRemain;
    /**
     * 变动类型
     */
    @ApiModelProperty("变动类型")
    private String changeType;
    /**
     * 变动原因（考试名或项目名）
     */
    @ApiModelProperty("变动原因")
    private String relationName;

    /**
     * log创建时间
     */
    @ApiModelProperty("时间")
    private Date createdAt;



}
