package com.yizhi.statistics.application.vo.practice;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: PracticeStatViewDetailByIdVo
 * @author: zjl
 * @date: 2020/11/11  14:03
 */
@Data
@ApiModel(value = "PracticeStatViewDetailByIdVo")
public class PracticeStatViewDetailByIdVo {
    @ApiModelProperty("用户id")
    private Long accountId;

    @ApiModelProperty("用户名")
    private String accountName;

    @ApiModelProperty("姓名")
    private String fullName;

    @ApiModelProperty("陪练模式;练习(初级)；练习(中级)；练习(高级)；考核")
    private String level;

    @ApiModelProperty("分数")
    private Integer score;

    @ApiModelProperty("考试结果")
    private String passResult;

    @ApiModelProperty("完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date finishTime;

    @ApiModelProperty("所在部门")
    private String orgName;

    @ApiModelProperty("所在组织架构")
    private String orgNames;
}
