package com.yizhi.statistics.application.vo.report;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@Api(tags = "ReportDetailVO", description = "平台报告学员详情输出类")
public class ReportDetailVO {

	@ApiModelProperty(value = "报告id")
	@TableField("report_id")
    private Long reportId;
	
	@ApiModelProperty(value = "报告名称")
	@TableField("report_name")
    private String reportName;
    
	@ApiModelProperty(value = "报告类型")
	@TableField("report_type")
    private Integer reportType;
	
	@ApiModelProperty(value = "用户id")
	@TableField("account_id")
    private Long accountId;
    
	@ApiModelProperty(value = "查看状态 0未查看 1已查看 默认未查看")
	@TableField("state")
	private Integer state;
	
	@ApiModelProperty(value = "注册时间")
	@TableField("register_time")
    private Date registerTime;
	
	@ApiModelProperty(value = "超出比例")
	@TableField("proportion")
    private Integer proportion;
	
	@ApiModelProperty(value = "用户时长")
	@TableField("user_duration")
    private Long userDuration;
	
	@ApiModelProperty(value = "站点名称")
	@TableField("site_name")
    private String siteName;
    
	@ApiModelProperty(value = "累计打卡数量")
	@TableField("sign_num")
    private Long signNum;
	
	@ApiModelProperty(value = "学习总时长")
	@TableField("study_duration")
    private Long studyDuration;
	
	@ApiModelProperty(value = "完成任务量")
	@TableField("finish_num")
    private Integer finishNum;
	
	@ApiModelProperty(value = "获得积分")
	@TableField("point")
    private Long point;
	
	@ApiModelProperty(value = "首个证书")
	@TableField("first_certificate")
    private Date firstCertificate;
	
	@ApiModelProperty(value = "学习时间")
	@TableField("latest_date")
    private Date latestDate;
	
	@ApiModelProperty(value = "学习最长天")
	@TableField("max_study")
    private Date maxStudy;
	
	@ApiModelProperty(value = "学习最长时间")
	@TableField("max_duration")
    private Long maxDuration;
	
	@ApiModelProperty(value = "徽章类型 0学神徽章 1学霸徽章 2学习标兵徽章 3学弟徽章 4新生徽章")
	@TableField("type")
    private Integer type;
}
