package com.yizhi.statistics.application.domain;

import com.yizhi.practice.application.enums.PracticeLevelMapEnum;
import com.yizhi.practice.application.enums.PracticeModelStatusEnum;
import com.yizhi.practice.application.enums.PracticePassResultEnum;

import java.util.Date;

/**
 * @Date 2020/11/23 11:40 上午
 * @Author lvjianhui
 **/
public class PracticeByOrgUserDetailDto {

    String orgName;

    String orgNames;

    String accountName;

    String fullName;

    String practiceName;

    Integer useType;

    Integer level;

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    String useTypeStr;

    Date endAt;

    Integer score;

    Integer examResult;

    String examResultStr;

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getOrgNames() {
        return orgNames;
    }

    public void setOrgNames(String orgNames) {
        this.orgNames = orgNames;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getPracticeName() {
        return practiceName;
    }

    public void setPracticeName(String practiceName) {
        this.practiceName = practiceName;
    }

    public Integer getUseType() {
        return useType;
    }

    public void setUseType(Integer useType) {
        this.useType = useType;
    }

    public String getUseTypeStr() {
        if (null == useType || !PracticeModelStatusEnum.getAllStatus().contains(useType)) {
            return  "-";
        }
        if (useType.equals(PracticeModelStatusEnum.ASSESSMENT.getStatus())) {
            return "考核";
        }
        return PracticeLevelMapEnum.getDescByStatus(useType + "" + level);
    }

    public void setUseTypeStr(String useTypeStr) {
        this.useTypeStr = useTypeStr;
    }

    public Date getEndAt() {
        return endAt;
    }

    public void setEndAt(Date endAt) {
        this.endAt = endAt;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getExamResult() {
        return examResult;
    }

    public void setExamResult(Integer examResult) {
        this.examResult = examResult;
    }

    public String getExamResultStr() {
        if (useType == PracticeModelStatusEnum.PRACTICE.getStatus()) {
            return "";
        }

        if (examResult == PracticePassResultEnum.PASS.getStatus()) {
            return "通过";
        }
        return  "未通过";
    }

    public void setExamResultStr(String examResultStr) {
        this.examResultStr = examResultStr;
    }
}
