package com.yizhi.statistics.application.domain;


import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-04-16
 */
@Data
@ApiModel(value = "StatisticsExam", description = "")
@TableName("statistics_exam")
public class StatisticsExam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自增")
    @TableId(value="id")
    private Long id;

    @TableField(value = "exam_id")
    private Long examId;

    @TableField("exam_no")
    private String examNo;

    @TableField("exam_name")
    private String examName;

    @ApiModelProperty(value = "考试开始时间")
    @TableField("exam_start_time")
    private Date examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    @TableField("exam_end_time")
    private Date examEndTime;

    @ApiModelProperty(value = "创建考试的企业ID")
    @TableField("exam_company_id")
    private Long examCompanyId;

    @ApiModelProperty(value = "创建考试的站点ID")
    @TableField("exam_site_id")
    private Long examSiteId;

    @ApiModelProperty(value = "创建考试的组织ID")
    @TableField("exam_org_id")
    private Long examOrgId;

    @ApiModelProperty(value = "考试创建时间")
    @TableField("exam_create_time")
    private Date examCreateTime;

    @ApiModelProperty(value = "应参加状态，1应参加 0不应参加（用于统计：应参加人数，MAX取值）")
    @TableField("can_state")
    private Integer canState;

    @ApiModelProperty(value = "考试结果，（当天多次考试只要通过一次视全部通过，1通过 0未通过 -1未参加。用于统计：通过人数，MAX取值）")
    @TableField("exam_state")
    private Integer examState;

    @ApiModelProperty(value = "记录统计时间")
    @TableField("record_create_time")
    private Date recordCreateTime;

    @ApiModelProperty(value = "记录更新时间")
    @TableField("record_update_time")
    private Date recordUpdateime;
}
