package com.yizhi.statistics.application.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: StatisticsPointDto
 * @author: zjl
 * @date: 2021/1/25  17:11
 */
@Data
public class StatisticsPointDto {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户id")
    private Long accountId;

    @ApiModelProperty("用户名")
    private String accountName;

    @ApiModelProperty("姓名")
    private String fullName;

    /**
     * log创建时间
     */
    @ApiModelProperty("时间")
    private Date createdAt;

    /**
     * 变动数量
     */
    @ApiModelProperty("变动数量")
    private Integer changeCount;

    /**
     * 变动前数量
     */
    @ApiModelProperty("变动前数量")
    private Integer beforeCount;
    /**
     * 变动后数量
     */
    @ApiModelProperty("变动后数量")
    private Integer afterCount;

    /**
     * 变动类型
     */
    @ApiModelProperty("change_type")
    private Integer changeType;

    /**
     * 变动原因（考试名或项目名）
     */
    @ApiModelProperty("relation_name")
    private String relationName;



    @ApiModelProperty(value = "学员状态")
    private Integer accountState;

    @ApiModelProperty(value = "所在部门")
    private String orgName;

    @ApiModelProperty(value = "所在组织架构")
    private String orgNames;
}
