package com.yizhi.statistics.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-04-22
 */
@Data
@ApiModel(value = "StatisticsSign", description = "")
@TableName("statistics_sign_information")
public class StatisticsSignInformation {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "自增")
	@TableId(value="id"/*, type= IdType.AUTO*/)
	private Long id;

    @ApiModelProperty(value = "签到ID")
	@TableField("sign_id")
	private Long signId;

    @ApiModelProperty(value = "签到时间段id")
	@TableField("sign_time_id")
	private Long signTimeId;

	@TableField("trainning_project_id")
	private Long trainningProjectId;

	@TableField("trainning_project_name")
	private String trainningProjectName;

	@TableField("sign_no")
	private String signNo;

    @ApiModelProperty(value = "保存项目名称")
	@TableField("sign_name")
	private String signName;

    @ApiModelProperty(value = "签到开始时间")
	@TableField("sign_start_time")
	private Date signStartTime;

    @ApiModelProperty(value = "签到结束时间")
	@TableField("sign_end_time")
	private Date signEndTime;

    @ApiModelProperty(value = "创建签到的企业ID")
	@TableField("sign_company_id")
	private Long signCompanyId;

    @ApiModelProperty(value = "创建签到的站点ID")
	@TableField("sign_site_id")
	private Long signSiteId;

    @ApiModelProperty(value = "创建签到的组织ID")
	@TableField("sign_org_id")
	private Long signOrgId;

    @ApiModelProperty(value = "签到创建时间")
	@TableField("sign_create_time")
	private Date signCreateTime;

    @ApiModelProperty(value = "记录创建时间")
	@TableField("record_create_time")
	private Date recordCreateTime;

    @ApiModelProperty(value = "表示签到时间段是否有效0 有效 1无效")
	private Integer status;

    @ApiModelProperty(value = "记录更新时间")
	@TableField("record_update_time")
	private Date recordUpdateTime;

    @ApiModelProperty(value = "签到地点")
    @TableField("address")
    	private String address;

    @ApiModelProperty(value = "签到范围")
    @TableField("range")
    	private String range;

}
