package com.yizhi.statistics.application.mapper;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumChartsVo;
import com.yizhi.statistics.application.album.vo.ReportStudyAlbumVo;
import com.yizhi.statistics.application.entity.StatisticsAlbumActivityRecord;

public interface StatisticsAlbumActivityRecordMapper extends BaseMapper<StatisticsAlbumActivityRecord>{

	Date selectMaxDate();
	
	void deleteLimitTime(@Param("startDate") String startDate, @Param("endDate") String endDate);
	
	List<ReportStudyAlbumChartsVo> chartGroup(@Param("startDate") String startDate, @Param("endDate") String endDate,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("adminId")Long adminId,@Param("isAdmin")Boolean isAdmin);

	//超级管理员用
	ReportStudyAlbumVo totalInAccountIsAdmin(@Param("startDate")String startDate,@Param("endDate")String endDate,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("isAdmin")Boolean isAdmin,@Param("albumId")Long albumId);

	//普通管理员用
	ReportStudyAlbumVo totalInAccountNotAdmin(@Param("startDate")String startDate,@Param("endDate")String endDate,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("isAdmin")Boolean isAdmin,@Param("albumId")Long albumId,@Param("adminId")Long adminId);

	Integer finishNum(@Param("startDate") String startDate, @Param("endDate") String endDate,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("adminId")Long adminId,@Param("isAdmin")Boolean isAdmin,@Param("albumId")Long albumId);
}
