package com.yizhi.statistics.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.statistics.application.album.vo.*;
import com.yizhi.statistics.application.entity.StatisticsAlbum;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface StatisticsAlbumMapper extends BaseMapper<StatisticsAlbum>{

	//按照专辑统计。找到十个专辑。
	List<Long> albumGroupLimitAlbumIdsIsAdmin(@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("kwd")String kwd,Page<Long> page);
	List<ReportStudyAlbumViewVo1> export1(@Param("startDate")String startDate,@Param("endDate")String endDate,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("adminId")Long adminId,@Param("albumId")Long albumId,@Param("isAdmin")Boolean isAdmin);
	List<ReportStudyAlbumViewVo2> export2(@Param("startDate")String startDate,@Param("endDate")String endDate,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("adminId")Long adminId,@Param("albumId")Long albumId,@Param("isAdmin")Boolean isAdmin);
	List<ReportStudyAlbumViewVo3> export3(@Param("startDate")String startDate,@Param("endDate")String endDate,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("adminId")Long adminId,@Param("albumId")Long albumId,@Param("isAdmin")Boolean isAdmin);
	List<Long> accountIdsLimit(@Param("orgKwd")String orgKwd,@Param("accountKwd")String accountKwd,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("adminId")Long adminId,@Param("isAdmin")Boolean isAdmin,Page<Long> pageAccountIds);
	List<ReportStudyAlbumAccountVo> albumAccountGroup(@Param("startDate")String startDate,@Param("endDate")String endDate,@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("accountIds")List<Long> accountIds);
	List<ReportStudyAlbumAccountViewVo> albumIdsAccountGroupView(@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("accountId")Long accountId,@Param("kwd")String kwd,@Param("startDate")String startDate,@Param("endDate")String endDate,Page<ReportStudyAlbumAccountViewVo> page);
	List<ReportStudyAlbumAccountViewVo> albumAccountGroupView(@Param("companyId")Long companyId,@Param("siteId")Long siteId,@Param("accountId")Long accountId,@Param("albumIds")List<Long> albumIds);

}
