package com.yizhi.statistics.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.statistics.application.domain.StatisticsExamRecorde;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author dingxiaowei
 * @date 2019/4/16
 */
public interface StatisticsExamRecordeMapper extends BaseMapper<StatisticsExamRecorde> {

    /**
     * 获取记录表最近的时间
     *
     * @return
     */
    Date selectMaxDate();

    void deleteRcordesByDate(@Param("examId") Long examId, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<StatisticsExamRecorde> getDurationByExamId(@Param("examIds") List<Long> examIds, @Param("startDate") Date startDate, @Param("endDate") Date endDate);
}
