package com.yizhi.statistics.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.statistics.application.entity.StatisticsForum;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author taoge123
 * @since 2020-02-13
 */
public interface StatisticsForumMapper extends BaseMapper<StatisticsForum> {

    List<StatisticsForum> getPage(@Param("startDate") String startDate,
                                  @Param("endDate") String endDate,
                                  @Param("keyword") String keyword,
                                  @Param("siteId") Long siteId,
                                  RowBounds rowBounds);
    Integer getPageNum(@Param("startDate") String startDate,
                                  @Param("endDate") String endDate,
                                  @Param("keyword") String keyword,
                                  @Param("siteId") Long siteId);
}
