package com.yizhi.statistics.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.statistics.application.entity.StatisticsResearch;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 调研 Mapper 接口
 * </p>
 *
 * @author hutao123
 * @since 2019-04-16
 */
@Mapper
public interface StatisticsResearchMapper extends BaseMapper<StatisticsResearch> {

    Date selectRecordMinTime();

    List<StatisticsResearch> getAllResearchs(@Param ("startDate") String startDate, @Param ("endDate") String endDate);
}
