package com.yizhi.statistics.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.statistics.application.domain.OrgCountDto;
import com.yizhi.statistics.application.entity.StatisticsAccountRole;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wfd123
 * @since 2019-04-18
 */
public interface IStatisticsAccountRoleService extends IService<StatisticsAccountRole> {


	Boolean deleteRoleByAdminId(Long adminId,List<Long> accountDeleteIds);

	void deleteRole(Long accountId);

	/**
	 * 普通管理员验证管辖区是否是全平台的
	 * @param type
	 * @param siteId
	 * @param adminId
	 * @return
	 */
	boolean getIsAdmin(Integer type,Long siteId,Long adminId);

	List<OrgCountDto> getAccountByAdminId(Long adminId,Long siteId);

}
