package com.yizhi.statistics.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.statistics.application.domain.StatisticsSignInformation;
import com.yizhi.statistics.application.refactor.sign.StatisticsSignVO;
import com.yizhi.statistics.application.vo.sign.SignAccountGroupVo;
import com.yizhi.statistics.application.vo.sign.StatisticsSignVo;

import java.util.Date;



/**
 * <p>
 * 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-04-22
 */
public interface IStatisticsSignService extends IService<StatisticsSignInformation> {

    Page<StatisticsSignVO> signGroup(boolean isAdmin, Long accountId, Long projectId, String kwd, String startDate, String endDate, Long companyId, Long siteId, Integer pageNo, Integer pageSize);

    Page<StatisticsSignVO> signGroupView(boolean isAdmin, Long accountId, Long signId, Long signTimeId, Long companyId, Long siteId, String orgNameOrCode, String accountName, Integer pageNo, Integer pageSize);

    StatisticsSignInformation selectBySignTimeId(Long signTimeId);

    Date selectMaxDate();

    Page<SignAccountGroupVo> signAccountGroup(boolean isAdmin, Long accountId, String accountKwd, String orgKwd, String startDate, String endDate, Long companyId, Long siteId, Integer pageNo, Integer pageSize);

    Page<StatisticsSignVo> signAccountGroupView(Long accountId, Long siteId, Long companyId, String startDate, String endDate, String projectKwd, Integer pageNo, Integer pageSize);

    Page<StatisticsSignVo> signAllAccountGroup(boolean isAdmin, Long accountId, String accountKwd, String orgKwd, String startDate, String endDate, Long companyId, Long siteId, Integer pageNo, Integer pageSize);
}
