package com.yizhi.statistics.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.statistics.application.entity.PointLog;
import com.yizhi.statistics.application.request.point.StatisticsPointDetailQO;
import com.yizhi.statistics.application.request.point.StatisticsPointQO;
import com.yizhi.statistics.application.vo.point.StatisticsPointDetailVO;
import com.yizhi.statistics.application.vo.point.StatisticsPointVO;

/**
 * <p>
 * 积分明细 服务类
 * </p>
 *
 * @author hutao123
 * @since 2021-01-25
 */
public interface PointLogService extends IService<PointLog> {

    /**
     * 获取用户积分明细
     * @param qo
     * @return
     */
    Page<StatisticsPointDetailVO> getStatisticsPoint(StatisticsPointDetailQO qo, RequestContext context);

    /**
     * 获取所有用户积分明细
     * @param qo
     * @return
     */
    Page<StatisticsPointVO> getAllStatisticsPoint(StatisticsPointQO qo, RequestContext context);
}
