package com.yizhi.statistics.application.service;


import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.vo.ScormRecordVO;
import com.yizhi.course.application.vo.StatisticsCourseRecorde;
import com.yizhi.statistics.application.course.vo.*;

import java.util.Date;
import java.util.List;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yinyuyan123
 * @since 2019-03-20
 */
public interface StatisticsCourseRecordeService extends IService<StatisticsCourseRecorde> {
	
	
	
	
	Boolean deleateStatisticsCourseRecorde(Date startDate,Date endDate,Long courseId);


	List<ReportStudyCourseChartsVo> chartGroup(String startDate, String endDate, Long companyId,Long siteId,Long adminId,Boolean isAdmin);
	
	
	Page<ReportStudyCourseVo> courseGroup(String kwd,String startDate, String endDate, Long companyId,Long siteId, Boolean isAdmin,Long adminId, Integer pageNo, Integer pageSize);
	
	
	Page<ReportStudyCourseViewVo> courseGroupView(String orgKwd, String accountKwd, String startDate,String endDate, Long courseId, Integer pageNo, Integer pageSize,Long companyId,Long siteId,Boolean isAdmin,Long adminId);
	

	Page<ReportStudyCourseAccountVo> courseAccountGroup(String orgKwd,String accountKwd,String startDate, String endDate, Long companyId,Long siteId,Boolean isAdmin,Long adminId,Integer pageNo,Integer pageSize);
	

	Page<ReportStudyCourseAccountViewVo> courseAccountGroupView(Long companyId,Long accountId,Long siteId, String kwd, String startDate,String endDate, Integer pageNo, Integer pageSize);

	
	List<ReportStudyCourseAccountDetailsVo> listReportStudyCourseAccountDetailsVo(Long companyId, Long siteId,String startDate, String endDate,List<Long> accountIdLimitPageSize,Boolean isAllDate);


	Page<ReportStudyCourseOrgVo> courseOrgGroup(String kwd,String startDate, String endDate, Long companyId,Long siteId, Integer pageNo,Integer pageSize,Boolean isAdmin,Long adminId);
	
	
	String selectIntoRecorde(String startDdate,String endDate);
	
	void insertIntoCourseGrade(List<ScormRecordVO> list);

	Page<ReportStudyCourseViewVo> courseGroupViewExport(String orgKwd, String accountKwd, String startDate,String endDate, Long courseId, Integer pageNo, Integer pageSize,
			Long companyId,Long siteId,Boolean isAdmin,Boolean allData,Long adminId);
	
	List<ReportStudyCourseAccountDetailsVo> listReportStudyCourseAccountDetailsVoExport(Long companyId, Long siteId, String startDate,
			String endDate, List<Long> courseIds, Long adminId, Boolean adminType, Boolean allData, String orgKwd, String accountKwd);
}
