package com.yizhi.statistics.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.practice.application.enums.PracticeVisibleTypeEnum;
import com.yizhi.statistics.application.entity.PracticeVisible;
import com.yizhi.statistics.application.mapper.PracticeVisibleMapper;
import com.yizhi.statistics.application.service.IPracticeVisibleService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  陪练可见范围服务实现类
 * </p>
 */
@Service
public class PracticeVisibleServiceImpl extends ServiceImpl<PracticeVisibleMapper, PracticeVisible> implements IPracticeVisibleService {

    @Override
    public void physicalDeletedVisible(List<Long> deletedOrgIds, List<Long> deletedAccountIds, Long practiceId) {
        this.baseMapper.physicalDeletedByOrg(deletedOrgIds,practiceId, PracticeVisibleTypeEnum.ORG.getStatus());
        this.baseMapper.physicalDeletedByAccount(deletedAccountIds,practiceId,PracticeVisibleTypeEnum.PART.getStatus());
    }
}
