package com.yizhi.statistics.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.statistics.application.domain.StatisticsExamRecorde;
import com.yizhi.statistics.application.mapper.StatisticsExamRecordeMapper;
import com.yizhi.statistics.application.service.StatisticsExamRecordeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author ding
 * @since 2019-04-17
 */
@Service
public class StatisticsExamRecordeServiceImpl extends ServiceImpl<StatisticsExamRecordeMapper, StatisticsExamRecorde> implements StatisticsExamRecordeService {


    @Autowired
    private StatisticsExamRecordeMapper statisticsExamRecordeMapper;


    @Override
    public void deleteRcordesByDate(Long examId, String startDate, String endDate) {
        statisticsExamRecordeMapper.deleteRcordesByDate(examId, startDate, endDate);
    }

    @Override
    public List<StatisticsExamRecorde> getDurationByExamId(List<Long> examIds, Date startDate, Date endDate) {
        return statisticsExamRecordeMapper.getDurationByExamId(examIds,startDate,endDate);
    }
}
