package com.yizhi.statistics.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.statistics.application.domain.StatisticsSignRecorde;
import com.yizhi.statistics.application.mapper.StatisticsSignRecordeMapper;
import com.yizhi.statistics.application.service.IStatisticsSignRecordeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 签到明细 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-04-22
 */
@Service
public class StatisticsSignRecordeServiceImpl extends ServiceImpl<StatisticsSignRecordeMapper, StatisticsSignRecorde> implements IStatisticsSignRecordeService {

    @Autowired
    private StatisticsSignRecordeMapper statisticsSignRecordeMapper;

    @Override
    public void deleteRcordesByDate(Long signTimeId, String startDate, String endDate) {
        statisticsSignRecordeMapper.deleteRcordesByDate(signTimeId, startDate, endDate);
    }
}
